Ad Campaign Group Ads
Updated: Jul 13, 2020
Copy for LLM
Reading
Ads under this campaign.
Example
GET /v25.0/<AD_CAMPAIGN_ID>/ads?fields=name HTTP/1.1 Host: graph.facebook.com
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
| Parameter | Description |
|---|---|
date_presetenum{today, yesterday, this_month, last_month, this_quarter, maximum, data_maximum, last_3d, last_7d, last_14d, last_28d, last_30d, last_90d, last_week_mon_sun, last_week_sun_sat, last_quarter, last_year, this_week_mon_today, this_week_sun_today, this_year} |
Date ranges container for benchmarking comparison
|
effective_statuslist<string> |
Filter ads by effective status
|
time_range{‘since’:YYYY-MM-DD,’until’:YYYY-MM-DD} |
Date range used to aggregate insights metrics
since datetime
A date in the format of "YYYY-MM-DD", which means from the beginning midnight of that day.
until datetime
A date in the format of "YYYY-MM-DD", which means to the beginning midnight of the following day.
Show child parameters |
updated_sinceinteger |
SELF_EXPLANATORY
|
Fields
Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {},
"summary": {}
}
data
A list of Ad nodes.
paging
For more details about pagination, see the Graph API guide.
summary
Aggregated information about the edge, such as counts. Specify the fields to fetch in the summary param (like summary=__type__).
| Field | Description |
|---|---|
insightsEdge<AdsInsights> |
Analytics summary for all objects
|
total_countunsigned int32 |
Total number of objects
default |
Error Codes
| Error Code | Description |
|---|---|
100 | Invalid parameter |
80004 | There have been too many calls to this ad-account. Wait a bit and try again. For more info, please refer to /docs/graph-api/overview/rate-limiting#ads-management. |
3018 | The start date of the time range cannot be beyond 37 months from the current date |
104 | Incorrect signature |
190 | Invalid OAuth 2.0 Access Token |
200 | Permissions error |
2500 | Error parsing graph query |
Creating
You can't perform this operation on this endpoint.
Updating
You can't perform this operation on this endpoint.
Deleting
You can't perform this operation on this endpoint.